/**
 * generated by Xtext 2.15.0
 */
package org.xtext.example.mydsl.formula.impl;

import org.eclipse.emf.ecore.EClass;

import org.xtext.example.mydsl.formula.AllSolver;
import org.xtext.example.mydsl.formula.FormulaPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>All Solver</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class AllSolverImpl extends SolveImpl implements AllSolver
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AllSolverImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return FormulaPackage.Literals.ALL_SOLVER;
  }

} //AllSolverImpl
